Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		k9copy
Version:	2.3.7
Release:	1
License:	GNU/GPL 
URL:		http://k9copy.sourceforge.net
Group:		Video
Source0:	k9copy-%{version}-Source.tar.gz
Patch0:		k9copy-kde4-ffmpeg.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	K9Copy is a DVD copy program.

# Requires
Requires:	dvdauthor
Requires:	dvd+rw-tools
Requires:	libdvdread
Requires:	libpng 
Requires:	vamps >= 0.98

Obsoletes:	k9copy-kde4

BuildRequires: cmake
BuildRequires: automoc4
BuildRequires: ffmpeg-devel
BuildRequires: pulseaudio-libs-devel

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: gamin-devel
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libmpeg2-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: phonon-devel
BuildRequires: qt4-devel
BuildRequires: strigi-devel
BuildRequires: xine-lib-devel
BuildRequires: zlib-devel

%description
K9Copy is a small utility which allows the copy of DVD on Linux.
This is the KDE4 version of K9Copy
The DVD video stream is compressed by the program Vamps.

1. Copy without menus :
In this case, dvdauthor is used to create a new DVD structure.
It is possible to choose the order in which the video sequences are played.
	 
2. Copy with menus :
As dvdauthor does not make it possible to integrate the original menus,
K9Copy reproduces the original structure of the DVD.
The navigation packs as well as IFO files are modified to point on the compressed MPEG stream.

For more details see: http://k9copy.free.fr

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -q -n k9copy-%{version}-Source
%patch0 -p1 

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} .
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/k9copy
%{_bindir}/k9play
%{_bindir}/k9xineplayer
%{_applications}/kde4/k9copy_assistant.desktop
%{_applications}/kde4/k9copy.desktop
%{_docdir}/HTML/en/k9copy
%{_datadir}/icons/hicolor/*/apps/k9copy.png
%{_datadir}/kde4/apps/k9copy
%{_datadir}/kde4/apps/solid/actions/k9copy_assistant_open.desktop
%{_datadir}/kde4/apps/solid/actions/k9copy_open.desktop
%{_locale}/*/LC_MESSAGES/k9copy.mo

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 13 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.3.7-1
- Version update
* Sat May 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.5-1
- Version update
* Tue Sep 01 2009 Christian Metzen <metzench@ccux-linux.de> 2.3.3-1
- Version update
* Thu May 28 2009 Christian Wasem <wasem@ccux-linux.de> 2.3.2-1
- Version update
* Mon Apr 06 2009 Christian Metzen <metzench@ccux-linux.de> 2.3.1-1
- Version update
* Fri Mar 13 2009 Christian Wasem <wasem@ccux-linux.de> 2.3.0-1
- Version update
* Fri Feb 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-1
- Version update
* Thu Oct 30 2008 Christian Metzen <metzench@ccux-linux.de> 2.1.0-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 2.0.2-2
- merged packages
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 2.0.2-1
- Version update
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- Initial Release, based on k9copy package
* Sun Jan 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-1
- version update
* Thu Dec 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- version update
* Thu Dec 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-2
- recompiled/relinked to fix segfaults at startup
* Thu Dec 06 2007 Christian Metzen <metzench@ccux-linux.de> 1.2.1-1
- Version update
* Tue Nov 20 2007 Christian Metzen <metzench@ccux-linux.de> 1.2.0-2
- rebuild against mesa 7.0.2
* Thu Nov 01 2007 Christian Wasem <wasem@ccux-linux.de> 1.2.0-1
- Version update
* Thu Aug 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Wed Apr 18 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1.1-2
- Version Update to 1.1.1-3
* Mon Mar 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Sat Mar 10 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1.0-2
- Version Update to Stable
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.1.0-1
- Version Update to Beta 2
* Mon Apr 24 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.4-1
- Version update
* Sun Feb 05 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.3b-3
- rebuilt, fixed BUG0000127
* Thu Feb 02 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.3b-2
- rebuilt for libdvdread-0.9.5
* Thu Feb 02 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.3b-1
- Update to Version 1.0.3b
* Thu Oct 13 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.0-1
- Initial Release
